/**************************Multi-Edit Macro*********************************
												MultiCut Version 1.00
										 Written by Donald K Forbes
							(Modifications for buffer viewing by Al O'Donnell
 								- fixes by Kevin R Jackson, Roy Jennings)

	NOTE: See below for 6.0/7.0 compilation!

						(C) Copyright 1992 American Cybernetics, Inc.
****************************************************************************/
#define MAX_BUFFERS       5
// #define _BUFFER_NAME me_path+'!BUF'+User_Id+'.'
/* for 6.0, uncomment the above line, and comment the rest: */
#ifdef Windows
#define _BUFFER_NAME getuserpath() + 'BUFFER.'
#else
#define _BUFFER_NAME getuserpath(FALSE) + 'BUFFER.'
#endif

prototype MultiCut {
	void MultiCut(int move, append, off_block, queue, x, y);
	void MultiPast(int off_block, queue, x, y);
	void MultiSwitch(int direction);
	void MultiMenu(int off_block, queue, x, y);
	void MultiView(int off_block);
	void MultiWindow(str title, help_str, int x, y,	w, l, s_width, s_lentgh, no_buff);
	void MultiSetMaxBuffs();
}

#define CANCEL_INT					0
#define	OK_INT							1
#define	HELP_INT						2
#define NEXT_INT						3
#define PREV_INT						4
#define DEL_INT							5
#define RO_INT							6

#define CANCEL_RET					"/R="+str(CANCEL_INT)
#define	OK_RET							"/R="+str(OK_INT)
#define	HELP_RET						"/R="+str(HELP_INT)
#define NEXT_RET						"/R="+str(NEXT_INT)
#define PREV_RET						"/R="+str(PREV_INT)
#define DEL_RET							"/R="+str(DEL_INT)
#define RO_RET							"/R="+str(RO_INT)

#define	OK_CTRL							101
#define CANCEL_CTRL					102
#define	HELP_CTRL						103
#define PREV_CTRL						104
#define NEXT_CTRL						105
#define DEL_CTRL						106
#define RO_CTRL							107
#define STATIC_CTRL					1000
#define TEXT_CTRL						1001
#define INTEGER_CTRL				1002

#define RADIO_TEXT_LEN			35
#define RADIO_COPY					200
#define RADIO_COPY_A				201
#define RADIO_MOVE					202
#define RADIO_MOVE_A				203
#define RADIO_PASTE					204
#define RADIO_VIEW					205
#define RADIO_BACK					206
#define RADIO_FORWARD				207

// The begining of the radiou button controls
#define RADIO_START					RADIO_COPY
// The end of the radio button controls.
#define RADIO_END						RADIO_VIEW